using VT.FW.DB;
using Mall.Common.Enum.User;
using System;
using System.Collections.Generic;
using System.Text;

namespace Mall.Model.Entity.Product
{
    /// <summary>
    /// 商品订单日志信息表实体
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class RB_OrderGoods_Log
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 来源id
        /// </summary>        
        public int? OrderId
        {
            get;
            set;
        }

        /// <summary>
        /// 来源id
        /// </summary>        
        public int? OrderDetailId
        {
            get;
            set;
        }

        /// <summary>
        /// 原成本价
        /// </summary>
        public decimal OldCostPrice { get; set; }
        /// <summary>
        /// 新成本价
        /// </summary>
        public decimal NewCostPrice { get; set; }
        /// <summary>
        /// 修改人信息
        /// </summary>        
        public int? CreateBy
        {
            get;
            set;
        }
        /// <summary>
        /// 来源类型  1成本，2-运费
        /// </summary>        
        public int Type
        {
            get;
            set;
        }
        /// <summary>
        /// 操作内容
        /// </summary>        
        public string Content
        {
            get;
            set;
        }
        /// <summary>
        /// 商户号
        /// </summary>        
        public int TenantId
        {
            get;
            set;
        }
        /// <summary>
        /// 小程序id
        /// </summary>        
        public int MallBaseId
        {
            get;
            set;
        }
        /// <summary>
        /// CreateDate
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }
    }
}
